## Unicode Symbols

The following non-ASCII symbols are used:

	UFF62  ｢  opens a parameter
	UFF63  ｣  closes parameter
	U2051  ⁑  internal namespace for functions

	
## Linux keyboard map

In `/usr/share/X11/xkb/symbols`, modify the base keyboard file, such as `us`. Create a custom section that derives from a base layout and overrides some keys:

```
xkb_symbols "mine" {
        include "us(basic)"
        name[Group1] = "English (US, my extensions)";
        key <AB08> { [     comma,       less, UFF62, NoSymbol ] };
        key <AB09> { [    period,    greater, UFF63, NoSymbol ] };
        key <AB10> {  [     slash,  question, U2051, NoSymbol ] };
};
```

`sudo dpkg-reconfigure xkb-data`

You'll probably need to restart X.

I also had to add the variant in the `xkb/rules/evdev.xml` file under the `us` section in the `variantList`:

`<variant><configItem><name>mine</name><description>Mine</description></configItem></variant>`

Also refer: 
	http://people.uleth.ca/~daniel.odonnell/Blog/custom-keyboard-in-linuxx11
	https://askubuntu.com/questions/510024/what-are-the-steps-needed-to-create-new-keyboard-layout-on-ubuntu
	