#ifndef LEAF_IR_TRACE_FUNCTIONS_HPP
#define LEAF_IR_TRACE_FUNCTIONS_HPP

#include "compiler_context.hpp"

namespace ir
{

/**
	Add a main function which traces the results of the indicated function.
*/
void main_trace_function( compiler_context & cc, shared_ptr<ir::function> f );

/**
	Provide a debug trace of the provided value.
*/
void gen_trace( compiler_context & cc, builder & where, value_ref v );

/**
	Write a single trace 'char'.
*/
void gen_write_char( compiler_context & cc, char c, builder & where );

} //eon ie

#endif