#ifndef LANG_TYPE_HPP
#error Include <lang/type.hpp>
#endif

namespace leaf {

inline bool extr_type::is_fixated_impl( util::validation_context & vctx ) const {
	return intr->is_fixated_impl( vctx );
}
inline extant_level extr_type::get_extant_impl( util::validation_context & vctx ) const {
	return intr->get_extant_impl(vctx);
}
inline bool extr_type::contains_parametric_impl( util::validation_context & ctx ) const {
	return intr->contains_parametric_impl(ctx);
}

template<typename T>
inline T const & extr_type::cast() const {
	return intr->cast<T>();
}

template<typename T>
inline T const * extr_type::if_cast() const {
	return intr->if_cast<T>();
}

template<typename T>
inline bool extr_type::is() const {
	return intr->is<T>();
}

inline bool extr_type::allow_copy() const {
	return !is_value() || intr->allow_copy();
}

}