#ifndef LEAF_PARSER_DUMP_HPP
#define LEAF_PARSER_DUMP_HPP

#include "../core_types.hpp"
#include "../util/dump_base.hpp"

namespace leaf
{

struct node;

/**
	Provides a dump facility for the raw parse tree.
*/
class node_dump : public leaf_util::dump_base
{
public:
	node_dump( std::ostream & out );

	void dump( node const & n );
	
	static std::string dump_flat( node const & n );
};

} //eon leaf

#endif