
namespace platform
{

char const * const triple = "x86_64-linux-gnu";

//max_align is specified in bytes
int const max_align = 16;

int const byte_size = 8;
int const char_size = 32;

native_integer const native_integers[] = { { 8 }, { 16 }, { 32 }, { 64 } };
int const natural_integer_size = 64;
int const pointer_size = 64;

native_float const native_floats[] = { { 32, -1, 24 }, { 64, 0, 53 }, { 80, 1, 64 } };
int const natural_float_size = 64;
int const natural_float_precision_variant = 0;

//native types
int const abi_short_size = 16;
int const abi_int_size = 32;
int const abi_long_size = 64;
int const abi_long_long_size = 64;
int const abi_float_size = 32;
int const abi_double_size = 64;
int const abi_long_double_size = 80;
int const abi_char_size = 8;
int const abi_ptr_size = 64;

//LLVM: There really aren't many options here, most symbols get converted to codes at some
//point in the toolchain. $ doesn't, but causes a weird crash.
char const * const export_sep = "__";

} //eon platform
