#ifndef UTIL_DEFER_HPP
#define UTIL_DEFER_HPP

namespace util {

template <typename D>
struct defer_action {
	defer_action(D d) : 
		defer{d} {
	}
	
   ~defer_action() {
		defer();
	}
	
private:
	D defer;
};

template <typename D>
defer_action<D> defer(D d) {
	return defer_action<D>(d);
}

} //eon util

#endif