// Generate llvm IR
// clang -emit-llvm early_return.cc -S -o /dev/tty
#include <stdio.h>

struct test
{
	int count;
	
	test( int count ) throw()
		: count( count )
	{ }
	
	~test() throw()
	{
		printf( "DTOR: %d\n", count );
	}
};

void func( int at )
{
	test t0( 0 );
	if( at <= 0 )
		return;
		
	test t1( 1 );
	if( at <= 1 )
		return;
		
	{
		test s0( 4 );
		if( at <= 4 )
			return;
	}
		
	test t2( 2 );
	if( at <= 2 )
		return;
		
	test t3( 3 );
	if( at <= 3 )
		return;
}

int main()
{
	func(0);
	func(1);
	func(2);
	return 0;
}
