/*
	Testing how C++ handles flow control with defer/destructor exceptions.
*/
#include <iostream>
using namespace std;

struct fail {
	~fail() {
		throw 1;
	}
};

int main() {
	for( int i=0; i < 6; ++i ) {
		cout << "Loop: " << i << endl;
		
		try {
			if( i == 3 ) {
				fail f;
				return 0;
			}
		} catch( int ) {
			cout << "Caught" << endl;
		}
	}
	return 0;
}
