/* 
clang -emit-llvm size_compare.cc -S -o /dev/tty

Compare to size of 

var a : optional shared integer;
var b : shared integer => 5;
a = b;
trace(a);

*/
#include <boost/optional.hpp>
#include <boost/shared_ptr.hpp>
#include <boost/make_shared.hpp>

void trace( int a ) {
}

int main() {
	boost::optional<boost::shared_ptr<int> > a;
	boost::optional<boost::shared_ptr<int> > b = boost::make_shared<int>(5);
	a = b;
	trace( **a );
	return 0;
}