; /opt/llvm/install/bin/llc types.ll -o types.s && clang -o foo types.s && ./foo
%outer = type { i32, %inner, i1 } ; REMOVE the i1 and it works
%inner = type { double, i32 }

define %outer @eval_expr() {
entry:
	%s0 = insertvalue %inner undef, double 1.500000e+00, 0
	%s1 = insertvalue %inner %s0, i32 2, 1
	%s2 = insertvalue %outer undef, i32 1, 0
	%s3 = insertvalue %outer %s2, %inner %s1, 1
	;%s4 = insertvalue %outer %s3, i1 false, 2
	ret %outer %s3
}

define void @main() {
entry:
	%o = call %outer @eval_expr()
	%i = extractvalue %outer %o, 1
	%i1 = extractvalue %inner %i, 0 ;ERROR: this value is 0.0, expected 1.5
	call void @trace_float(double %i1)
	%i2 = extractvalue %inner %i, 1 ;ERROR: this value is 1073217536, expected 2
	call void @trace_integer(i32 %i2)
	ret void
}

; simple tracing functions
@.int_str = private unnamed_addr constant [4 x i8] c"%d\0A\00"
define void @trace_integer( i32 %i ) {
entry:
	%sp = getelementptr [4 x i8]* @.int_str, i32 0, i32 0
	call i32 (i8*, ...)* @printf(i8* %sp, i32 %i)
	ret void
}

@.float_str = private unnamed_addr constant [4 x i8] c"%f\0A\00"
define void @trace_float( double %i ) {
entry:
	%sp = getelementptr [4 x i8]* @.float_str, i32 0, i32 0
	call i32 (i8*, ...)* @printf(i8* %sp, double %i)
	ret void
}

declare i32 @printf(i8*, ...)
