#include "lang/loop_flow_statement.hpp"

namespace leaf {

int loop_flow_statement::get_flow() const {
	switch( flow ) {
		case f_break:
			return flow_loop_break;
		case f_next:
			return flow_loop_next;
	}
	
	STATE_FAIL("corrupt");
}

void loop_flow_statement::pre_copy( loop_flow_statement const & o ) {
	super::pre_copy(o);
	flow = o.flow;
}

} //eon leaf