#include "lang/statement.hpp"
#include "lang/serial.hpp"
#include "lang/expression.hpp"

namespace leaf {

statement::statement() {
	local_complete = false;
}

char const * name_of( statement_form_t f ) {
	switch( f ) {
		#define STATEMENT_FORM( t_ ) case sf_##t_##_statement: return #t_;
		STATEMENT_FORMS
		#undef STATEMENT_FORM
	}
	return "invalid";
}

void statement::pre_copy( statement const & o ) {
	src_loc = o.src_loc;
}

void statement::write_impl( serial_out & /*so*/ ) const {
}

void statement::read_impl( serial_in & /*si*/ ) {
}

} //eon leaf
