#include <boost/test/unit_test.hpp>

#include <gmp.h>

BOOST_AUTO_TEST_SUITE( gmp_test )

BOOST_AUTO_TEST_CASE( basic )
{
	std::string num_a = "384937584737236895747864934675834";
	mpz_t a;
	mpz_init (a);
	mpz_set_str(a, num_a.c_str(), 10 );
	char * r = mpz_get_str( nullptr, 10, a );
	
	BOOST_CHECK_EQUAL( num_a, r );
}

BOOST_AUTO_TEST_SUITE_END()
