#ifndef IMPORT_STATEMENT_HPP
#define IMPORT_STATEMENT_HPP

#include "statement.hpp"

namespace leaf {

struct import_statement : public statement
{
	statement_form_t statement_form() const {
		return sf_import_statement;
	}
	bool is_declarative() const {
		return true;
	}
	
	std::string mod_name;
	
	void validate(util::validation_context & vctx) const;
};

} //eon leaf

#endif