; To see how the API code would look for this
; /opt/llvm/install/bin/llc ll_int_types.ll -o /dev/tty

%small = type { i5, i17 }

@gvalue = global %small undef

define void @set_small() {
	%dm = call %small @get_small()
	
	%g = getelementptr %small* @gvalue, i32 0
	store %small %dm,%small* %g
	ret void
}

define %small @get_small() {
	%m1 = insertvalue %small undef, i5 5, 0
	%m2 = insertvalue %small %m1, i17 3, 1
	ret %small %m2
}

define i4 @add_4( i4 %a, i4 %b ) {
	%c = add i4 %a, %b
	ret i4 %c
}

define i4 @add_nsw_4( i4 %a, i4 %b ) {
	%c = add nsw i4 %a, %b
	ret i4 %c
}

define i4 @shift_4( i4 %a, i4 %b ) {
	%c = shl i4 %a, %b
	ret i4 %c
}

define i200 @add_200( i200 %a, i200 %b ) {
	%c = add nsw i200 %a, %b
	ret i200 %c
}

define i256 @add_256( i256 %a, i256 %b ) {
	%c = add nsw i256 %a, %b
	ret i256 %c
}
