#include "lang/init_statement.hpp"
#include "lang/expression.hpp"
#include "lang/declaration.hpp"

namespace leaf
{

void init_statement::validate(util::validation_context & vctx) const
{
 	STATE_CHECK(sref);
 	sref->validate(vctx);
	if( value ) {
		STATE_CHECK( !undefined );
		value->validate(vctx);
	}
	if( code ) {
		STATE_CHECK( !value );
		STATE_CHECK( undefined );
		code->validate(vctx);
	}
}

} //eon leaf